GFP2Element Class Reference

an element of GF(p^2) More...

`#include <xtr.h>`

## Public Member Functions

| GFP2Element (const Integer &c1, const Integer &c2)
| GFP2Element (const byte *encodedElement, unsigned int size)
void | Encode (byte *encodedElement, unsigned int size)
bool | operator== (const GFP2Element &rhs) const
bool | operator!= (const GFP2Element &rhs) const
void | swap (GFP2Element &a)

## Static Public Member Functions

static const GFP2Element & | Zero ()

## Public Attributes

Integer | c1
Integer | c2

## Detailed Description

an element of GF(p^2)

Definition at line 16 of file xtr.h.

## Constructor & Destructor Documentation

## GFP2Element() [1/3]

GFP2Element::GFP2Element | ( |  | ) |

inline

Definition at line 19 of file xtr.h.

## GFP2Element() [2/3]

GFP2Element::GFP2Element | ( | const Integer & | c1,
|  | const Integer & | c2
| ) |  |

inline

Definition at line 20 of file xtr.h.

## GFP2Element() [3/3]

GFP2Element::GFP2Element | ( | const byte * | encodedElement,
|  | unsigned int | size
| ) |  |

inline

Definition at line 21 of file xtr.h.

## Member Function Documentation

## Encode()

void GFP2Element::Encode | ( | byte * | encodedElement,
|  | unsigned int | size
| ) |  |

inline

Definition at line 24 of file xtr.h.

## operator==()

bool GFP2Element::operator== | ( | const GFP2Element & | rhs | ) | const

inline

Definition at line 30 of file xtr.h.

## operator!=()

bool GFP2Element::operator!= | ( | const GFP2Element & | rhs | ) | const

inline

Definition at line 31 of file xtr.h.

## swap()

void GFP2Element::swap | ( | GFP2Element & | a | ) |

inline

Definition at line 33 of file xtr.h.

## Zero()

const GFP2Element & GFP2Element::Zero | ( |  | ) |

static

Definition at line 14 of file xtr.cpp.

## Member Data Documentation

## c1

Integer GFP2Element::c1

Definition at line 41 of file xtr.h.

## c2

Integer GFP2Element::c2

Definition at line 41 of file xtr.h.

The documentation for this class was generated from the following files:

- xtr.h
- xtr.cpp